parse_formula {NMF} | R Documentation

## Simple Parsing of Formula

### Description

Formula parser for formula-based NMF models.

### Usage

      parse_formula(x)

### Arguments

`x` | formula to parse

### Value

a list with the following elements:

`response` | logical that indicates if the formula has a response term.
`y` | name of the response variable.
`x` | list of regressor variable names.
`n` | number of regressor variables.

[Package NMF version 0.20.6 Index]